Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 688546 - Review Request: doxygenfilter - A Perl-based input filter for doxygen to allow it to be used with Perl files.
Summary: Review Request: doxygenfilter - A Perl-based input filter for doxygen to allo...
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2011-03-17 10:53 UTC by Jessica Jones
Modified: 2015-12-20 12:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
proposal of rewritten spec file (deleted)
2011-03-30 08:35 UTC, Marcela Mašláňová
no flags Details

Description Jessica Jones 2011-03-17 10:53:30 UTC
Spec URL: http://people.fedoraproject.org/~zaniyah/doxygenfilter/doxygenfilter.spec
SRPM URL: http://people.fedoraproject.org/~zaniyah/doxygenfilter/doxygenfilter-1.10-4.src.rpm
Description: DoxyGen-Filter is a Perl script and accompanying Perl modules that
can be used as INPUT_FILTER for doxygen. It converts Perl files
in a way that doxygen will be able to generate code documentation
from Doxygen-Filter's output.

Comment 1 Marcela Mašláňová 2011-03-30 08:21:27 UTC
- rpmlint FAIL
rpmlint ~/Downloads/doxygenfilter-1.10-4.noarch.rpm 
W: incoherent-version-in-changelog 1.10-3 ['1.10-4', '1.10-4']
E: script-without-shebang /usr/share/perl5/vendor_perl/DoxyGen/VBFilter.pm
- package must be named according to Guidelines OK
- spec file name must match the base package %{name} OK
- package must meet the Packaging Guidelines FAIL
- package must be licensed with Fedora approved license FAIL
- license field must match actual license FAIL
- text of the license in its own file must be included in %doc FAIL
- sources must match the upstream source OK
 d5be1fe6750dfc358896d5995347dc2dd6bc71fe
- package MUST successfully compile and build OK
 http://koji.fedoraproject.org/koji/taskinfo?taskID=2959808
- architecture listed in ExcludeArch MUST have a bug filed in bugzilla OK
- build dependencies must be listed in BuildRequires OK
- handle locales properly with %find_lang macro OK
- shared library files must call ldconfig in %post(un) OK
- packages must NOT bundle system libraries OK
- package must own all directories that it creates OK
- permissions on files must be set properly OK
- package must consistently use macros OK
- package must contain code, or permissable content OK
- large documentation must go in a -doc OK
- %doc must not affect the runtime of the application OK
- header files must be in a -devel package OK
- static libraries must be in a -static package OK
- library files that end in .so (without suffix) must go in a -devel OK
- devel package usually require base package OK
- packages must NOT contain any .la libtool archives OK
- GUI applications must include a %{name}.desktop file OK
- packages must not own files or directories already owned by other packages OK

There are few packaging errors:
 * rpmlint error must be fixed.
 * license is not GPL+. See any file in doxygen filter, where is stated same as Perl, which was decided by our legal as GPL+ or Artistic. Problem could be that packager of source tarball and spec file decided license as GPL. Details about licences https://fedoraproject.org/wiki/Licensing#Good_Licenses_2
 * license is not installed in docs
 * macros in specfile are not incorrect, but the way how are they used is more common in Mandriva. Some of them could be problematic in future, so I'll attach patch of spec file.

The biggest problem is in my opinion license.

Comment 2 Marcela Mašláňová 2011-03-30 08:23:07 UTC
Also Vendor is Fedora in case we are providing it as rpm. 
From guidelines:
"The Vendor tag should not be used. It is set automatically by the build system. "

Comment 3 Marcela Mašláňová 2011-03-30 08:35:08 UTC
Created attachment 488687 [details]
proposal of rewritten spec file

Comment 4 Jessica Jones 2011-08-31 08:38:18 UTC
(In reply to comment #3)
> Created attachment 488687 [details]
> proposal of rewritten spec file

Thanks.  I'll take a look at this.

Comment 5 Jessica Jones 2011-08-31 08:38:59 UTC
(In reply to comment #3)
> Created attachment 488687 [details]
> proposal of rewritten spec file

You didn't add anything to the changelog.  Did you mean to?

Comment 6 Marcela Mašláňová 2011-08-31 12:59:09 UTC
(In reply to comment #5)
> (In reply to comment #3)
> > Created attachment 488687 [details]
> > proposal of rewritten spec file
> 
> You didn't add anything to the changelog.  Did you mean to?

It's only proposal, I don't need my name in specfile ;-) Do whatever is needed with specfile in your opinion.

Comment 7 Marcela Mašláňová 2012-01-10 11:14:51 UTC
Ping, do you need help with this review?

Comment 8 Jessica Jones 2012-01-10 13:57:59 UTC
(In reply to comment #7)
> Ping, do you need help with this review?

I've just been really busy and haven't got around to it yet.  Sorry.  Life got really hectic at the end of last year and hasn't settled down yet. :(

Comment 9 Marcela Mašláňová 2012-01-10 14:07:43 UTC
No problem, I'm just going through my old bugs.

Comment 10 Marcela Mašláňová 2014-09-04 11:45:27 UTC
There is no update, I'm orphaning the review.


Note You need to log in before you can comment on or make changes to this bug.